Subject: Re: bug#25642: 26.0.50; Save unmodified buffers not visiting a file yet

From: Tino Calancha <[email-masked]>
Date: Wed, 8 Feb 2017 02:22:19 +0900 (JST)

On Tue, 7 Feb 2017, Eli Zaretskii wrote:

>> Subject: [PATCH] Save unmodified buffers not visiting a file yet
>>
>> * lisp/files.el (save-buffer): Set modified flag non-nil before
>> 'basic-save-buffer' call (Bug#25642).
>
> Please don't, at least not unconditionally.  I use this feature all
> the time, e.g. when composing email messages.
OK.
>
> I don't actually understand why this would be a problem: the user
> explicitly wanted to reset the modified status of a buffer, why should
> Emacs second-guess what the user meant?  But if there are some use
> cases where you find this annoying (please describe them), let's make
> this an optional behavior, off by default.
No i don't have in mind cases where i have being annoying but that.
Setting modified flag nil followed to trying to save the buffer
sounds like the user don't want to save the buffer.
I think we can close this bug report.  Thanks.